Index: /trunk/include/FlairFilter/SimuAhrs.h
===================================================================
--- /trunk/include/FlairFilter/SimuAhrs.h	(revision 12)
+++ /trunk/include/FlairFilter/SimuAhrs.h	(revision 13)
@@ -17,51 +17,49 @@
 #include <stdint.h>
 
-namespace flair
-{
-namespace filter
-{
-    /*! \class SimuAhrs
-    *
-    * \brief Class for a simulation Ahrs
-    *
-    * This class constructs a SimuImu as Imu of this Ahrs.
-    */
-    class SimuAhrs : public filter::Ahrs
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a simulation Ahrs.
-            *
-            * \param parent parent
-            * \param name name
-            * \param dev_id number id of the simulated Ahrs
-            * \param priority priority of the SimuImu Thread
-            */
-            SimuAhrs(const core::FrameworkManager* parent,std::string name,uint32_t dev_id,uint8_t priority);
+namespace flair {
+namespace filter {
+/*! \class SimuAhrs
+*
+* \brief Class for a simulation Ahrs
+*
+* This class constructs a SimuImu as Imu of this Ahrs.
+*/
+class SimuAhrs : public filter::Ahrs {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a simulation Ahrs.
+  *
+  * \param parent parent
+  * \param name name
+  * \param dev_id number id of the simulated Ahrs
+  * \param priority priority of the SimuImu Thread
+  */
+  SimuAhrs(const core::FrameworkManager *parent, std::string name,
+           uint32_t dev_id, uint8_t priority);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~SimuAhrs();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~SimuAhrs();
 
-             /*!
-            * \brief Start SimuImu Thread
-            *
-            */
-            void Start(void);
+  /*!
+ * \brief Start SimuImu Thread
+ *
+ */
+  void Start(void);
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data);
-    };
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data);
+};
 } // end namespace filter
 } // end namespace flair
Index: /trunk/include/FlairFilter/TrajectoryGenerator1D.h
===================================================================
--- /trunk/include/FlairFilter/TrajectoryGenerator1D.h	(revision 12)
+++ /trunk/include/FlairFilter/TrajectoryGenerator1D.h	(revision 13)
@@ -16,141 +16,141 @@
 #include <IODevice.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-    }
-    namespace gui
-    {
-        class LayoutPosition;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+}
+namespace gui {
+class LayoutPosition;
+}
 }
 
 class TrajectoryGenerator1D_impl;
 
-namespace flair
-{
-namespace filter
-{
-    /*! \class TrajectoryGenerator1D
-    *
-    * \brief Class generating a trajectory in 1D
-    *
-    * This class generates position and velocity references, given
-    * an absolute maximum velocity and an absolute acceleration. \n
-    * When trajectory is started (see StartTraj()), position and velocity will increase
-    * at the given acceleration. If the maximum velocity is reached,
-    * velocity will not increase anymore. Then, velocity will decrease according
-    * to the given acceleration until velocity is null and final position is reached. \n
-    * Manual inputs can be introduced using SetPositionOffset() and SetSpeedOffset().
-    *
-    */
-    class TrajectoryGenerator1D : public core::IODevice
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a TrajectoryGenerator1D at given position. \n
-            * The TrajectoryGenerator1D will automatically be child of position->getLayout() Layout. After calling this function,
-            * position will be deleted as it is no longer usefull. \n
-            *
-            * \param position position to display settings
-            * \param name name
-            * \param unit unit of the position (for exemple m, deg, etc). Its only used for display on ground station.
-            */
-            TrajectoryGenerator1D(const gui::LayoutPosition* position,std::string name,std::string unit="");
+namespace flair {
+namespace filter {
+/*! \class TrajectoryGenerator1D
+*
+* \brief Class generating a trajectory in 1D
+*
+* This class generates position and velocity references, given
+* an absolute maximum velocity and an absolute acceleration. \n
+* When trajectory is started (see StartTraj()), position and velocity will
+*increase
+* at the given acceleration. If the maximum velocity is reached,
+* velocity will not increase anymore. Then, velocity will decrease according
+* to the given acceleration until velocity is null and final position is
+*reached. \n
+* Manual inputs can be introduced using SetPositionOffset() and
+*SetSpeedOffset().
+*
+*/
+class TrajectoryGenerator1D : public core::IODevice {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a TrajectoryGenerator1D at given position. \n
+  * The TrajectoryGenerator1D will automatically be child of
+  *position->getLayout() Layout. After calling this function,
+  * position will be deleted as it is no longer usefull. \n
+  *
+  * \param position position to display settings
+  * \param name name
+  * \param unit unit of the position (for exemple m, deg, etc). Its only used
+  *for display on ground station.
+  */
+  TrajectoryGenerator1D(const gui::LayoutPosition *position, std::string name,
+                        std::string unit = "");
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~TrajectoryGenerator1D();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~TrajectoryGenerator1D();
 
-            /*!
-            * \brief Start trajectory
-            *
-            * \param start_pos start position
-            * \param end_pos end position
-            */
-            void StartTraj(float start_pos,float end_pos);
+  /*!
+  * \brief Start trajectory
+  *
+  * \param start_pos start position
+  * \param end_pos end position
+  */
+  void StartTraj(float start_pos, float end_pos);
 
-            /*!
-            * \brief Stop trajectory
-            *
-            */
-            void StopTraj(void);
+  /*!
+  * \brief Stop trajectory
+  *
+  */
+  void StopTraj(void);
 
-            /*!
-            * \brief Reset
-            *
-            * Reset all outputs to 0. This can be done only when IsRunning()==false.
-            *
-            */
-            void Reset(void);
+  /*!
+  * \brief Reset
+  *
+  * Reset all outputs to 0. This can be done only when IsRunning()==false.
+  *
+  */
+  void Reset(void);
 
-            /*!
-            * \brief Is trajectory running?
-            *
-            * \return true if trajectory is running
-            */
-            bool IsRunning(void) const;
+  /*!
+  * \brief Is trajectory running?
+  *
+  * \return true if trajectory is running
+  */
+  bool IsRunning(void) const;
 
-            /*!
-            * \brief Set position offset
-            *
-            * \param value position offset
-            */
-            void SetPositionOffset(float value);
+  /*!
+  * \brief Set position offset
+  *
+  * \param value position offset
+  */
+  void SetPositionOffset(float value);
 
-            /*!
-            * \brief Set speed offset
-            *
-            * \param value speed offset
-            */
-            void SetSpeedOffset(float value);
+  /*!
+  * \brief Set speed offset
+  *
+  * \param value speed offset
+  */
+  void SetSpeedOffset(float value);
 
-            /*!
-            * \brief Update using provided datas
-            *
-            * Uses values specified by StartTraj(),
-            * SetPositionOffset() and SetSpeedOffset().
-            *
-            * \param time time of the update
-            */
-            void Update(core::Time time);
+  /*!
+  * \brief Update using provided datas
+  *
+  * Uses values specified by StartTraj(),
+  * SetPositionOffset() and SetSpeedOffset().
+  *
+  * \param time time of the update
+  */
+  void Update(core::Time time);
 
-            /*!
-            * \brief Position
-            *
-            */
-            float Position(void) const;
+  /*!
+  * \brief Position
+  *
+  */
+  float Position(void) const;
 
-            /*!
-            * \brief Speed
-            *
-            */
-            float Speed(void) const;
+  /*!
+  * \brief Speed
+  *
+  */
+  float Speed(void) const;
 
-            /*!
-            * \brief Output matrix
-            *
-            * \return matrix
-            */
-            core::cvmatrix *Matrix(void) const;
+  /*!
+  * \brief Output matrix
+  *
+  * \return matrix
+  */
+  core::cvmatrix *Matrix(void) const;
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice. Nothing to do in this IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data){};
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice. Nothing to do in this IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data){};
 
-            TrajectoryGenerator1D_impl* pimpl_;
-    };
+  TrajectoryGenerator1D_impl *pimpl_;
+};
 } // end namespace filter
 } // end namespace flair
Index: /trunk/include/FlairFilter/TrajectoryGenerator2DCircle.h
===================================================================
--- /trunk/include/FlairFilter/TrajectoryGenerator2DCircle.h	(revision 12)
+++ /trunk/include/FlairFilter/TrajectoryGenerator2DCircle.h	(revision 13)
@@ -16,144 +16,140 @@
 #include <IODevice.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-        class Vector2D;
-    }
-    namespace gui
-    {
-        class LayoutPosition;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+class Vector2D;
+}
+namespace gui {
+class LayoutPosition;
+}
 }
 
 class TrajectoryGenerator2DCircle_impl;
 
-namespace flair
-{
-namespace filter
-{
-    /*! \class TrajectoryGenerator2DCircle
-    *
-    * \brief Class generating a circle trajectory in 2D
-    *
-    * This class generates position and velocity references, given
-    * a maximum velocity and an absolute acceleration, for a circle. \n
-    * When trajectory is started (StartTraj), position and velocity will increase
-    * at the given acceleration untill maximum velocity is reached. \n
-    * When trajectory is asked to be finished (see FinishTraj()), position
-    * and velocity will decrease at the given acceleration untill null velocity is reached. \n
-    * Position and velocity of the center of the circle can be manually changed
-    * through SetCenter() and SetCenterSpeed().
-    */
-    class TrajectoryGenerator2DCircle : public core::IODevice
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a TrajectoryGenerator2DCircle at position. \n
-            * The TrajectoryGenerator2DCircle will automatically be child of position->getLayout() Layout. After calling this function,
-            * position will be deleted as it is no longer usefull. \n
-            *
-            * \param position position to display settings
-            * \param name name
-            */
-            TrajectoryGenerator2DCircle(const gui::LayoutPosition* position,std::string name);
+namespace flair {
+namespace filter {
+/*! \class TrajectoryGenerator2DCircle
+*
+* \brief Class generating a circle trajectory in 2D
+*
+* This class generates position and velocity references, given
+* a maximum velocity and an absolute acceleration, for a circle. \n
+* When trajectory is started (StartTraj), position and velocity will increase
+* at the given acceleration untill maximum velocity is reached. \n
+* When trajectory is asked to be finished (see FinishTraj()), position
+* and velocity will decrease at the given acceleration untill null velocity is
+*reached. \n
+* Position and velocity of the center of the circle can be manually changed
+* through SetCenter() and SetCenterSpeed().
+*/
+class TrajectoryGenerator2DCircle : public core::IODevice {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a TrajectoryGenerator2DCircle at position. \n
+  * The TrajectoryGenerator2DCircle will automatically be child of
+  *position->getLayout() Layout. After calling this function,
+  * position will be deleted as it is no longer usefull. \n
+  *
+  * \param position position to display settings
+  * \param name name
+  */
+  TrajectoryGenerator2DCircle(const gui::LayoutPosition *position,
+                              std::string name);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~TrajectoryGenerator2DCircle();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~TrajectoryGenerator2DCircle();
 
-            /*!
-            * \brief Start trajectory
-            *
-            * \param start_pos start position
-            * \param nb_lap number of laps, -1 for infinite
-            */
-            void StartTraj(const core::Vector2D &start_pos,float nb_lap=-1);
+  /*!
+  * \brief Start trajectory
+  *
+  * \param start_pos start position
+  * \param nb_lap number of laps, -1 for infinite
+  */
+  void StartTraj(const core::Vector2D &start_pos, float nb_lap = -1);
 
-            /*!
-            * \brief Stop trajectory
-            *
-            * Stop abruptly the trajectory.
-            */
-            void StopTraj(void);
+  /*!
+  * \brief Stop trajectory
+  *
+  * Stop abruptly the trajectory.
+  */
+  void StopTraj(void);
 
-            /*!
-            * \brief Finish trajectory
-            *
-            * Finish smoothly the trajectory.
-            */
-            void FinishTraj(void);
+  /*!
+  * \brief Finish trajectory
+  *
+  * Finish smoothly the trajectory.
+  */
+  void FinishTraj(void);
 
-            /*!
-            * \brief Set center position
-            *
-            * \param value center position
-            */
-            void SetCenter(const core::Vector2D &value);
+  /*!
+  * \brief Set center position
+  *
+  * \param value center position
+  */
+  void SetCenter(const core::Vector2D &value);
 
-            /*!
-            * \brief Set center speed
-            *
-            * \param value center speed
-            */
-            void SetCenterSpeed(const core::Vector2D &value);
+  /*!
+  * \brief Set center speed
+  *
+  * \param value center speed
+  */
+  void SetCenterSpeed(const core::Vector2D &value);
 
-            /*!
-            * \brief Update using provided datas
-            *
-            * Uses values specified by StartTraj(),
-            * SetCenter() and SetCenterSpeed().
-            *
-            * \param time time of the update
-            */
-            void Update(core::Time time);
+  /*!
+  * \brief Update using provided datas
+  *
+  * Uses values specified by StartTraj(),
+  * SetCenter() and SetCenterSpeed().
+  *
+  * \param time time of the update
+  */
+  void Update(core::Time time);
 
-            /*!
-            * \brief Position
-            *
-            * \param point returned position
-            */
-            void GetPosition(core::Vector2D &point) const;
+  /*!
+  * \brief Position
+  *
+  * \param point returned position
+  */
+  void GetPosition(core::Vector2D &point) const;
 
-            /*!
-            * \brief Speed
-            *
-            * \param point returned speed
-            */
-            void GetSpeed(core::Vector2D &point) const;
+  /*!
+  * \brief Speed
+  *
+  * \param point returned speed
+  */
+  void GetSpeed(core::Vector2D &point) const;
 
-            /*!
-            * \brief Output matrix
-            *
-            * \return matrix
-            */
-            core::cvmatrix *Matrix(void) const;
+  /*!
+  * \brief Output matrix
+  *
+  * \return matrix
+  */
+  core::cvmatrix *Matrix(void) const;
 
-            /*!
-            * \brief Is trajectory running?
-            *
-            * \return true if trajectory is running
-            */
-            bool IsRunning(void) const;
+  /*!
+  * \brief Is trajectory running?
+  *
+  * \return true if trajectory is running
+  */
+  bool IsRunning(void) const;
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice. Nothing to do in this IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data){};
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice. Nothing to do in this IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data){};
 
-            TrajectoryGenerator2DCircle_impl* pimpl_;
-
-    };
+  TrajectoryGenerator2DCircle_impl *pimpl_;
+};
 } // end namespace filter
 } // end namespace flair
Index: /trunk/include/FlairFilter/UavMultiplex.h
===================================================================
--- /trunk/include/FlairFilter/UavMultiplex.h	(revision 12)
+++ /trunk/include/FlairFilter/UavMultiplex.h	(revision 13)
@@ -17,207 +17,202 @@
 #include <stdint.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class FrameworkManager;
-        class io_data;
-    }
-    namespace gui
-    {
-        class TabWidget;
-        class Layout;
-    }
+namespace flair {
+namespace core {
+class FrameworkManager;
+class io_data;
 }
+namespace gui {
+class TabWidget;
+class Layout;
+}
+}
 
 class UavMultiplex_impl;
 
-namespace flair
-{
-namespace filter
-{
-    /*! \class UavMultiplex
-    *
-    * \brief Class defining uav multiplexing
-    */
-    class UavMultiplex : public core::IODevice
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a uav multiplexing
-            *
-            * \param parent parent
-            * \param name name
-            */
-            UavMultiplex(const core::FrameworkManager* parent,std::string name);
-
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~UavMultiplex();
-
-            /*!
-            * \brief Set roll torque
-            *
-            * roll torque is placed in input(0,0)
-            *
-            * \param value value between -1 and 1
-            */
-            void SetRoll(float value);
-
-            /*!
-            * \brief Set pitch torque
-            *
-            * pitch torque is placed in input(1,0)
-            *
-            * \param value value between -1 and 1
-            */
-            void SetPitch(float value);
-
-            /*!
-            * \brief Set yaw torque
-            *
-            * yaw torque is placed in input(2,0)
-            *
-            * \param value value between -1 and 1
-            */
-            void SetYaw(float value);
-
-            /*!
-            * \brief Set thrust
-            *
-            * thrust is placed in input(3,0)
-            *
-            * \param value value between 0 and 1
-            */
-            void SetThrust(float value);
-
-            /*!
-            * \brief Set roll trim
-            *
-            * trim is placed in input(4,0)
-            *
-            * \param value value
-            */
-            void SetRollTrim(float value);
-
-            /*!
-            * \brief Set pitch trim
-            *
-            * trim is placed in input(5,0)
-            *
-            * \param value value
-            */
-            void SetPitchTrim(float value);
-
-            /*!
-            * \brief Set yaw trim
-            *
-            * trim is placed in input(6,0)
-            *
-            * \param value value
-            */
-            void SetYawTrim(float value);
-
-            /*!
-            * \brief Update using provided datas
-            *
-            * Uses values specified by Set*().
-            *
-            * \param time time of the update
-            */
-            void Update(core::Time time);
-
-            /*!
-            * \brief Lock user interface
-            *
-            * User interface will be grayed out.\n
-            * Use it do disallow changes when flying.
-            *
-            */
-            void LockUserInterface(void) const;
-
-            /*!
-            * \brief Unlock user interface
-            *
-            * User interface will be enabled.\n
-            *
-            */
-            void UnlockUserInterface(void) const;
-
-            /*!
-            * \brief Layout
-            *
-            * Layout to place custom widgets.\n
-            *
-            * \return the layout
-            */
-            gui::Layout* GetLayout(void) const;
-
-            /*!
-            * \brief Use default plot
-            *
-            * Derived class can implement this function do draw default plot.
-            *
-            */
-            virtual void UseDefaultPlot(void){};
-
-            /*!
-            * \brief Motors count
-            *
-            * This function must be reimplemented, in order to get the number of motors.
-            *
-            * \return motors count
-            */
-            virtual uint8_t MotorsCount(void) const=0;
-
-            /*!
-            * \brief Multiplex value
-            *
-            * Get the mutliplexed value of a motor, if SetMultiplexComboBox() was used.\n
-            *
-            * \param index index of the motor, from 0 to MotorsCount()
-            * \return multiplexed index of the motor
-            */
-            int MultiplexValue(int index) const;
-
-            /*!
-            * \brief Get TabWidget
-            *
-            * Usefull to add tabs.\n
-            *
-            * \return the TabWidget
-            */
-            gui::TabWidget* GetTabWidget(void) const;
-
-        protected:
-            /*!
-            * \brief Set multiplex ComboBox
-            *
-            * Draws a ComboBox to define motor multiplexing. \n
-            * This is used to change the order of the output motors.
-            *
-            * \param name description of the motor (ex front left)
-            * \param index index of the motor, from 0 to MotorsCount()
-            */
-            void SetMultiplexComboBox(std::string name,int index);
-
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * This function is automatically called by ProcessUpdate()
-            * of the Object::Parent's if its Object::ObjectType is "IODevice". \n
-            * This function must be reimplemented, in order to process the data from the parent.
-            *
-            * \param data data from the parent to process
-            */
-            virtual void UpdateFrom(const core::io_data *data)=0;
-
-            UavMultiplex_impl *pimpl_;
-    };
+namespace flair {
+namespace filter {
+/*! \class UavMultiplex
+*
+* \brief Class defining uav multiplexing
+*/
+class UavMultiplex : public core::IODevice {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a uav multiplexing
+  *
+  * \param parent parent
+  * \param name name
+  */
+  UavMultiplex(const core::FrameworkManager *parent, std::string name);
+
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~UavMultiplex();
+
+  /*!
+  * \brief Set roll torque
+  *
+  * roll torque is placed in input(0,0)
+  *
+  * \param value value between -1 and 1
+  */
+  void SetRoll(float value);
+
+  /*!
+  * \brief Set pitch torque
+  *
+  * pitch torque is placed in input(1,0)
+  *
+  * \param value value between -1 and 1
+  */
+  void SetPitch(float value);
+
+  /*!
+  * \brief Set yaw torque
+  *
+  * yaw torque is placed in input(2,0)
+  *
+  * \param value value between -1 and 1
+  */
+  void SetYaw(float value);
+
+  /*!
+  * \brief Set thrust
+  *
+  * thrust is placed in input(3,0)
+  *
+  * \param value value between 0 and 1
+  */
+  void SetThrust(float value);
+
+  /*!
+  * \brief Set roll trim
+  *
+  * trim is placed in input(4,0)
+  *
+  * \param value value
+  */
+  void SetRollTrim(float value);
+
+  /*!
+  * \brief Set pitch trim
+  *
+  * trim is placed in input(5,0)
+  *
+  * \param value value
+  */
+  void SetPitchTrim(float value);
+
+  /*!
+  * \brief Set yaw trim
+  *
+  * trim is placed in input(6,0)
+  *
+  * \param value value
+  */
+  void SetYawTrim(float value);
+
+  /*!
+  * \brief Update using provided datas
+  *
+  * Uses values specified by Set*().
+  *
+  * \param time time of the update
+  */
+  void Update(core::Time time);
+
+  /*!
+  * \brief Lock user interface
+  *
+  * User interface will be grayed out.\n
+  * Use it do disallow changes when flying.
+  *
+  */
+  void LockUserInterface(void) const;
+
+  /*!
+  * \brief Unlock user interface
+  *
+  * User interface will be enabled.\n
+  *
+  */
+  void UnlockUserInterface(void) const;
+
+  /*!
+  * \brief Layout
+  *
+  * Layout to place custom widgets.\n
+  *
+  * \return the layout
+  */
+  gui::Layout *GetLayout(void) const;
+
+  /*!
+  * \brief Use default plot
+  *
+  * Derived class can implement this function do draw default plot.
+  *
+  */
+  virtual void UseDefaultPlot(void){};
+
+  /*!
+  * \brief Motors count
+  *
+  * This function must be reimplemented, in order to get the number of motors.
+  *
+  * \return motors count
+  */
+  virtual uint8_t MotorsCount(void) const = 0;
+
+  /*!
+  * \brief Multiplex value
+  *
+  * Get the mutliplexed value of a motor, if SetMultiplexComboBox() was used.\n
+  *
+  * \param index index of the motor, from 0 to MotorsCount()
+  * \return multiplexed index of the motor
+  */
+  int MultiplexValue(int index) const;
+
+  /*!
+  * \brief Get TabWidget
+  *
+  * Usefull to add tabs.\n
+  *
+  * \return the TabWidget
+  */
+  gui::TabWidget *GetTabWidget(void) const;
+
+protected:
+  /*!
+  * \brief Set multiplex ComboBox
+  *
+  * Draws a ComboBox to define motor multiplexing. \n
+  * This is used to change the order of the output motors.
+  *
+  * \param name description of the motor (ex front left)
+  * \param index index of the motor, from 0 to MotorsCount()
+  */
+  void SetMultiplexComboBox(std::string name, int index);
+
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * This function is automatically called by ProcessUpdate()
+  * of the Object::Parent's if its Object::ObjectType is "IODevice". \n
+  * This function must be reimplemented, in order to process the data from the
+  *parent.
+  *
+  * \param data data from the parent to process
+  */
+  virtual void UpdateFrom(const core::io_data *data) = 0;
+
+  UavMultiplex_impl *pimpl_;
+};
 } // end namespace filter
 } // end namespace flair
